Checks if method is public

- « ReflectionMethod::isProtected

- ReflectionMethod::setAccessible »

- PHP Manual
- ReflectionMethod
- Checks if method is public

# ReflectionMethod::isPublic

(PHP 5, PHP 7, PHP 8)

ReflectionMethod::isPublic — Checks if method is public

### Description

public ReflectionMethod::isPublic(): bool

Checks if the method is public.

### Parameters

This function has no parameters.

### Return Values

`true` if the method is public, otherwise `false`

### See Also

- ReflectionMethod::isPrivate() - Checks if method is private